Public Member Functions | Public Attributes | List of all members
libpagemaker::PMDColor Struct Reference

`#include <PMDTypes.h>`

## Public Member Functions
| PMDColor (const unsigned i, const uint16_t red, const uint16_t green, const uint16_t blue)

## Public Attributes
unsigned | m_i
uint16_t | m_red
uint16_t | m_green
uint16_t | m_blue

## Constructor & Destructor Documentation

## ◆ PMDColor()

libpagemaker::PMDColor::PMDColor | ( | const unsigned | i,
|  | const uint16_t | red,
|  | const uint16_t | green,
|  | const uint16_t | blue )
| inline

## Member Data Documentation

## ◆ m_blue

uint16_t libpagemaker::PMDColor::m_blue

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ m_green

uint16_t libpagemaker::PMDColor::m_green

Referenced by libpagemaker::PMDCollector::paintShape().

## ◆ m_i

unsigned libpagemaker::PMDColor::m_i

## ◆ m_red

uint16_t libpagemaker::PMDColor::m_red

Referenced by libpagemaker::PMDCollector::paintShape().

The documentation for this struct was generated from the following file:

- PMDTypes.h